@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

.container {
    font-family: Roboto, Arial, sans-serif;
    position: relative;
}

.audio-player-block { height: 0; width: 0; }
.audio-player {
    position: relative;
    top: 10px;
    left: 10px;
    z-index: 1;
}

.perspective-block {
    perspective: 3px;
    overflow: hidden;
    height: 100vh;
    background-color: #000000;
    z-index: -1;
}

.text-wrapper-block {
    transform: translate3d(0,0,0) rotate3d(1,0,0,.4deg);
}

.logo-block {
    height: 110vh;
    animation: logo-animation 30s 1s infinite;
    padding-top: calc((100vh - 420px)/2);
    padding-left: calc((100% - 694px)/2);
}

.scenario-block {
    animation: text-scrolling 30s 1s infinite;
    user-select: none;
    font-size: 80px;
    color: gold;
    text-shadow: 1px 1px 1px #ffffff;
    text-align: justify;
}

.scenario-header {
    text-transform: uppercase;
    font-size: 150px;
    text-align: center;
}

@keyframes text-scrolling {
    0% { transform: translate(0,750px);}
    100% { transform: translate(0,-1750px); }
}

@keyframes logo-animation {
    0% { opacity: 1; }
    10% { width: 0; height: 0; opacity: 0; }
    100% { width: 0; height: 0; opacity: 0; }
}